.plan-transfer-headings {
    align-self: stretch;
    color: #162B44;
    font-weight: 600;
    line-height: 33px;
    word-wrap: break-word;
}

.bl-point-share-main-div {
  align-self: stretch;
  padding: 32px;
  background: white;
  border-radius: 16px;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 32px;
  display: inline-flex;
}

.bl-point-share {
  --bl-color-primary: #162b44;
  --bl-color-link: #007ef2;
  --bl-font-family: "Hiragino Kaku Gothic Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
  
  display: flex;
  flex-direction: column;
  gap: 32px;
  font-family: var(--bl-font-family);
  color: var(--bl-color-primary);
}

/* Header / Text Block Styles */
.bl-point-share__header {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.bl-point-share__heading {
  font-size: 22px;
  font-weight: 600;
  line-height: 1.5;
  word-wrap: break-word;
}

.bl-point-share__heading--center {
  text-align: center;
}

.bl-point-share__description {
  font-size: 18px;
  font-weight: 300;
  line-height: 1.5;
  word-wrap: break-word;
}

/* Grid Layout for Cards */
.bl-point-share__cards-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 32px;
  flex-wrap: wrap; /* Helps with mobile responsiveness */
}

.bl-point-share__card {
  width: 320px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

/* Image Container Styles */
.bl-point-share__image-wrapper {
  width: 320px;
  height: 177.93px;
  background-color: #ffffff;
  display: flex;
  position: relative;
}

.bl-point-share__image-box {
  flex: 1 1 0;
  height: 177.93px;
  position: relative;
  overflow: hidden;
}

.bl-point-share__image-box--girl {
  height: 100%;
}

.bl-point-share__img-boy {
  width: 160px;
  height: 178.60px;
  top: 0;
  position: absolute;
}

.bl-point-share__img-girl {
  width: 160px;
  height: 168.97px;
  top: 8.96px;
  position: absolute;
}

.bl-point-share__img-family {
  width: 320px;
  height: 179px;
  -o-object-fit: cover;
     object-fit: cover;
}

/* Details & Recommendation Section */
.bl-point-share__recommend-section {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.bl-point-share__link-wrapper {
  display: flex;
  align-items: center;
  gap: 4px;
}

.bl-point-share__link-icon {
  width: 27px;
  height: 27px;
  flex-shrink: 0;
}

.bl-point-share__link {
  color: var(--bl-color-link);
  font-size: 18px;
  font-weight: 300;
  text-decoration: underline;
  line-height: 1.5;
}

.bl-point-share__disclaimer {
  font-size: 14px;
  font-weight: 300;
  line-height: 1.5;
  word-wrap: break-word;
}
